# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.media
Enum ResumableGDataFileUploader.RequestType

    java.lang.Object
      java.lang.Enum<ResumableGDataFileUploader.RequestType>
          com.google.gdata.client.media.ResumableGDataFileUploader.RequestType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResumableGDataFileUploader.RequestType>

Enclosing class:
  ResumableGDataFileUploader

    public static enum ResumableGDataFileUploader.RequestType

extends java.lang.Enum<ResumableGDataFileUploader.RequestType>

Types of resumable update request types. INSERT - add new media UPDATE - update an existing media with metadata if available. UPDATE_MEDIA_ONLY - update only media (not metadata).

Enum Constant Summary
`INSERT`
`UPDATE`
`UPDATE_MEDIA_ONLY`

Method Summary
`static ResumableGDataFileUploader.RequestType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResumableGDataFileUploader.RequestType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSERT

    public static final ResumableGDataFileUploader.RequestType INSERT

### UPDATE

    public static final ResumableGDataFileUploader.RequestType UPDATE

### UPDATE_MEDIA_ONLY

    public static final ResumableGDataFileUploader.RequestType UPDATE_MEDIA_ONLY

Method Detail

### values

    public static ResumableGDataFileUploader.RequestType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResumableGDataFileUploader.RequestType c : ResumableGDataFileUploader.RequestType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResumableGDataFileUploader.RequestType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null